org.hibernate.validator.internal.xml

## Class ParameterType

- java.lang.Object
- - org.hibernate.validator.internal.xml.ParameterType

-     public class ParameterType
      extends Object

  Java class for parameterType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="parameterType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="valid" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="convert-group" type="{http://jboss.org/xml/ns/javax/validation/mapping}groupConversionType" maxOccurs="unbounded" minOccurs="0"/>
               <element name="constraint" type="{http://jboss.org/xml/ns/javax/validation/mapping}constraintType" maxOccurs="unbounded" minOccurs="0"/>
             </sequence>
             <attribute name="type" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="ignore-annotations" type="{http://www.w3.org/2001/XMLSchema}boolean" />
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected List<ConstraintType>` | `constraint`
    `protected List<GroupConversionType>` | `convertGroup`
    `protected Boolean` | `ignoreAnnotations`
    `protected String` | `type`
    `protected String` | `valid`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ParameterType()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<ConstraintType>` | `getConstraint()` Gets the value of the constraint property.
    `List<GroupConversionType>` | `getConvertGroup()` Gets the value of the convertGroup property.
    `Boolean` | `getIgnoreAnnotations()` Gets the value of the ignoreAnnotations property.
    `String` | `getType()` Gets the value of the type property.
    `String` | `getValid()` Gets the value of the valid property.
    `void` | `setIgnoreAnnotations(Boolean value)` Sets the value of the ignoreAnnotations property.
    `void` | `setType(String value)` Sets the value of the type property.
    `void` | `setValid(String value)` Sets the value of the valid property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### valid

          protected String valid

    - #### convertGroup

          protected List<GroupConversionType> convertGroup

    - #### constraint

          protected List<ConstraintType> constraint

    - #### type

          protected String type

    - #### ignoreAnnotations

          protected Boolean ignoreAnnotations

  - ### Constructor Detail

    - #### ParameterType

          public ParameterType()

  - ### Method Detail

    - #### getValid

          public String getValid()

      Gets the value of the valid property.
      Returns:
        possible object is `String`

    - #### setValid

          public void setValid(String value)

      Sets the value of the valid property.
      Parameters:
        `value` - allowed object is `String`

    - #### getConvertGroup

          public List<GroupConversionType> getConvertGroup()

      Gets the value of the convertGroup property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the convertGroup property.

      For example, to add a new item, do as follows:

              getConvertGroup().add(newItem);

      Objects of the following type(s) are allowed in the list `GroupConversionType`

    - #### getConstraint

          public List<ConstraintType> getConstraint()

      Gets the value of the constraint property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the constraint property.

      For example, to add a new item, do as follows:

              getConstraint().add(newItem);

      Objects of the following type(s) are allowed in the list `ConstraintType`

    - #### getType

          public String getType()

      Gets the value of the type property.
      Returns:
        possible object is `String`

    - #### setType

          public void setType(String value)

      Sets the value of the type property.
      Parameters:
        `value` - allowed object is `String`

    - #### getIgnoreAnnotations

          public Boolean getIgnoreAnnotations()

      Gets the value of the ignoreAnnotations property.
      Returns:
        possible object is `Boolean`

    - #### setIgnoreAnnotations

          public void setIgnoreAnnotations(Boolean value)

      Sets the value of the ignoreAnnotations property.
      Parameters:
        `value` - allowed object is `Boolean`

Copyright © 2007-2014 Red Hat, Inc. All Rights Reserved